Package org.eclipse.wst.xsl.ui.internal

## org.eclipse.wst.xsl.ui.internal
Class XSLUIPlugin

    public class XSLUIPlugin
    extends AbstractUIPlugin

The activator class controls the plug-in life cycle

## Field Summary

`public static java.lang.String` | `PLUGIN_ID` The plugin id for this plugin.

## Constructor Summary

`XSLUIPlugin()`

## Method Summary

`public static org.eclipse.wst.xsl.ui.internal.XSLUIPlugin` | `getDefault()` Returns the shared instance
`public ContextTypeRegistry` | `getTemplateContextRegistry()` Returns the template context type registry for the xsl plugin.
`public TemplateStore` | `getTemplateStore()` Returns the template store for the xsl templates.
`public static void` | `log(java.lang.Exception e)`
`public static void` | `log(CoreException e)`
`public static java.io.File` | `makeFileFor(java.lang.String directory , java.lang.String filename)`
`public void` | `start(BundleContext context)`
`public void` | `stop(BundleContext context)`

## Field Detail

## PLUGIN_ID

`public static java.lang.String PLUGIN_ID`

The plugin id for this plugin.

## Constructor Detail

## XSLUIPlugin

`public XSLUIPlugin()`

The constructor

## Methods Detail

## getDefault

`public org.eclipse.wst.xsl.ui.internal.XSLUIPlugin getDefault()`

Returns the shared instance

### Returns

`org.eclipse.wst.xsl.ui.internal.XSLUIPlugin` - the shared instance

## getTemplateContextRegistry

`public ContextTypeRegistry getTemplateContextRegistry()`

Returns the template context type registry for the xsl plugin.

### Returns

`ContextTypeRegistry` - the template context type registry for the xsl plugin

## getTemplateStore

`public TemplateStore getTemplateStore()`

Returns the template store for the xsl templates.

### Returns

`TemplateStore` - the template store for the xsl templates

## log

`public void log(java.lang.Exception e)`

### Parameters

`e`

## log

`public void log(CoreException e)`

### Parameters

`e`

## makeFileFor

`public java.io.File makeFileFor(java.lang.String directory , java.lang.String filename)`

### Parameters

`directory`

`filename`

### Returns

`java.io.File`

### Throws:

`java.io.IOException`

## start

`public void start(BundleContext context)`

### Parameters

`context`

### Throws:

`java.lang.Exception`

## stop

`public void stop(BundleContext context)`

### Parameters

`context`

### Throws:

`java.lang.Exception`